# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# /feedstock/recipe, last modified Mon Mar 21 13:44:18 2022
# ------------------------------------------------

package:
  name: llvmlite
  version: 0.38.0
source:
  patches: null
  sha256: a99d166ccf3b116f3b9ed23b9b70ba2415640a9c978f3aaa13fad49c58f4965c
  url: https://pypi.io/packages/source/l/llvmlite/llvmlite-0.38.0.tar.gz
build:
  ignore_run_exports:
    - zlib
  number: '0'
  script_env:
    - PY_VCRUNTIME_REDIST
  string: py39h4ff587b_0
requirements:
  build:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - _sysroot_linux-64_curr_repodata_hack 3 haa98f57_10
    - binutils_impl_linux-64 2.35.1 h27ae35d_9
    - binutils_linux-64 2.35.1 h454624a_30
    - bzip2 1.0.8 h7b6447c_0
    - c-ares 1.18.1 h7f8727e_0
    - ca-certificates 2022.2.1 h06a4308_0
    - cmake 3.22.1 h1fce559_0
    - expat 2.4.4 h295c915_0
    - gcc_impl_linux-64 7.5.0 h7105cf2_17
    - gcc_linux-64 7.5.0 h8f34230_30
    - gxx_impl_linux-64 7.5.0 h0a5bf11_17
    - gxx_linux-64 7.5.0 hffc177d_30
    - kernel-headers_linux-64 3.10.0 h57e8cba_10
    - krb5 1.19.2 hac12032_0
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libcurl 7.80.0 h0b77cf5_0
    - libedit 3.1.20210910 h7f8727e_0
    - libev 4.33 h7f8727e_1
    - libgcc-devel_linux-64 7.5.0 hbbeae57_17
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libnghttp2 1.46.0 hce63b2e_0
    - libssh2 1.9.0 h1ba5d50_1
    - libstdcxx-devel_linux-64 7.5.0 hf0c5c8d_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - libuv 1.40.0 h7b6447c_0
    - lz4-c 1.9.3 h295c915_1
    - make 4.2.1 h1bed415_1
    - ncurses 6.3 h7f8727e_2
    - openssl 1.1.1n h7f8727e_0
    - patch 2.7.6 h7b6447c_1001
    - rhash 1.4.1 h3c74f83_1
    - sysroot_linux-64 2.17 h57e8cba_10
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7f8727e_4
    - zstd 1.5.0 ha4553b6_1
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - ca-certificates 2022.2.1 h06a4308_0
    - certifi 2021.10.8 py39h06a4308_2
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libffi 3.3 he6710b0_2
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libllvm11 11.1.0 h3826bc1_1
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - llvm 11.1.0 h06a4308_1
    - llvm-tools 11.1.0 h3826bc1_1
    - llvmdev 11.1.0 hd09550d_1
    - ncurses 6.3 h7f8727e_2
    - openssl 1.1.1n h7f8727e_0
    - pip 21.2.4 py39h06a4308_0
    - python 3.9.7 h12debd9_1
    - readline 8.1.2 h7f8727e_1
    - setuptools 58.0.4 py39h06a4308_0
    - sqlite 3.38.0 hc218d9a_0
    - tk 8.6.11 h1ccaba5_0
    - tzdata 2021e hda174b7_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7f8727e_4
  run:
    - libgcc-ng >=7.5.0
    - libllvm11 >=11.1.0,<11.2.0a0
    - libstdcxx-ng >=7.5.0
    - python >=3.9,<3.10.0a0
    - zlib
test:
  commands:
    - export LLVMLITE_DIST_TEST=''
    - python -m llvmlite.tests
  imports:
    - llvmlite
    - llvmlite.binding
about:
  dev_url: https://github.com/numba/llvmlite
  doc_url: http://llvmlite.pydata.org/
  home: http://llvmlite.pydata.org
  license: BSD-2-Clause
  license_file: LICENSE
  summary: A lightweight LLVM python binding for writing JIT compilers.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - jakirkham
    - marcelotrevisani
    - mbargull
    - souravsingh
    - xhochy
